%global javahome %(echo ${JAVA_HOME:-/usr/lib/jvm/java})
%global javaver %(%{javahome}/bin/java -version 2>&1|awk '/java version/{print $3}')
%global javajvmcfg %(find %{javahome}/jre/lib -name jvm.cfg)
%global javalib %(dirname %{javajvmcfg})
%global javaext /usr/share/java

Summary: C-isam interface for Java
Name: bmsi-xopen
Version: 1.0.2
Release: 1%{dist}
License: Proprietary
Group: System Environment/Libraries
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
Vendor: Stuart D. Gathman <stuart@bmsi.com>
Packager: Stuart D. Gathman <stuart@bmsi.com>
BuildRequires: btas-devel >= 2.10.6, libbms, jakarta-commons-collections
BuildRequires: junit, bmsi-util, java-devel
Requires: btas >= 2.10.6, bmsi-util >= 1.4
#Requires: jakarta-commons-collections	for Test only

%description
This package provides an interface to C-isam.

%prep
%setup -q

%build
umask 002
mkdir classes
javac -classpath /bms/java:/usr/share/java/junit.jar -d $PWD/classes *.java

CXXFLAGS="-O -pthread -I%{javahome}/include -I%{javahome}/include/linux \
	-I/usr/include/btas -fPIC"
LIB="-pthread -L%{javalib} -L/bms/lib -ljava -lbtas -lstdc++"
make xopen.so CXXFLAGS="$CXXFLAGS" LIB="$LIB"

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/bms/java
#cp -r classes/* $RPM_BUILD_ROOT/bms/java
mkdir -p $RPM_BUILD_ROOT%{_jnidir}
cd classes
zip -r $RPM_BUILD_ROOT%{_jnidir}/xopen.jar bmsi 
cd -
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -p xopen.so $RPM_BUILD_ROOT%{_libdir}/%{name}/%{name}.so

%files
%defattr(-,bin,bin)
%{_jnidir}/*
%{_libdir}/%{name}

%post
#ln -sf %{javaext}/xopen.jar %{javahome}/jre/lib/ext
#ln -sf /bms/lib/java/libxopen.so %{javalib}

%changelog
* Sat Jul 21 2018 Stuart Gathman <stuart@gathman.org>	1.0.2-1
- Move native lib to %%{_libdir}/%%{name}
- https://fedoraproject.org/wiki/Packaging:Java#Packaging_JAR_files_that_use_JNI

* Sat May 12 2018 Stuart Gathman <stuart@gathman.org>	1.0.1-2
- Put native lib in jar in %%{_jnidir}

* Fri Apr  7 2017 Stuart Gathman <stuart@gathman.org>	1.0.1-1
- remove JGL dependency
- compile on EL7

* Mon May 16 2011 Stuart Gathman <stuart@bmsi.com>	1.0-1
- Add BTFile
- Fix static getBtasinfo
- Add wrapmode to LineWriter

* Tue Jun 29 2010 Stuart Gathman <stuart@bmsi.com>	0.9-1
- Support btstat, btasinfo, cleanDirectory

* Mon Mar 29 2010 Stuart Gathman <stuart@bmsi.com>	0.8-1
- Support rename

* Fri Jan 23 2009 Stuart Gathman <stuart@bmsi.com>	0.7-2
- Reload isserve when btserve reloaded

* Sat Jan 28 2006 Stuart Gathman <stuart@bmsi.com>	0.7-1
- Fix ldstr/ststr sync bug
- add ldchars()

* Sat Jan 28 2006 Stuart Gathman <stuart@bmsi.com>	0.6-1
- Make LineWrite.writeLine() extendable.
- allow IOException from LineReader.reset()
- IsamFile.release()

* Tue May 18 2004 Stuart Gathman <stuart@bmsi.com>	0.5-1
- Fix JNI synchronization

* Thu Jan  8 2004 Stuart Gathman <stuart@bmsi.com>	0.4-1
- Fix getDictinfo bugs

* Fri Apr  4 2003 Stuart Gathman <stuart@bmsi.com>
- Recompile with btas-2.10.4

* Tue Mar 18 2003 Stuart Gathman <stuart@bmsi.com>
- RPM package
